OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class GroupFactory

    java.lang.Object
      org.opennms.netmgt.config.GroupManager
          org.opennms.netmgt.config.GroupFactory

public class GroupFactory
extends GroupManager

Field Summary
`private java.io.File` `m_groupsConfFile`
`private long` `m_lastModified`
`private static boolean` `s_initialized` Boolean indicating if the init() method has been called
`private static GroupFactory` `s_instance` The static singleton instance object

Fields inherited from class org.opennms.netmgt.config.GroupManager
`m_dutySchedules`

Constructor Summary
`GroupFactory()` Constructor which parses the file

Method Summary
`static GroupFactory` `getInstance()` Singleton static call to get the only instance that should exist for the GroupFactory
`static void` `init()`
`void` `reload()` Parses the groups.xml via the Castor classes
`private void` `reloadFromFile(java.io.File confFile)`
`protected void` `saveXml(java.lang.String data)`
`protected void` `updateFromFile()`

Methods inherited from class org.opennms.netmgt.config.GroupManager
`deleteGroup, deleteUser, getGroup, getGroupNames, getGroups, groupNextOnDuty, hasGroup, isGroupOnDuty, parseXml, renameGroup, renameUser, saveGroup, saveGroups, setGroups`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_instance

    private static GroupFactory s_instance

  The static singleton instance object

### s_initialized

    private static boolean s_initialized

  Boolean indicating if the init() method has been called

### m_groupsConfFile

    private java.io.File m_groupsConfFile

### m_lastModified

    private long m_lastModified

Constructor Detail

### GroupFactory

    public GroupFactory()

  Constructor which parses the file

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            java.io.FileNotFoundException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getInstance

    public static GroupFactory getInstance()

  Singleton static call to get the only instance that should exist for the GroupFactory

  Returns:
    the single group factory instance

### reload

    public void reload()
                throws java.io.IOException,
                       java.io.FileNotFoundException,
                       org.exolab.castor.xml.MarshalException,
                       org.exolab.castor.xml.ValidationException

  Parses the groups.xml via the Castor classes

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### reloadFromFile

    private void reloadFromFile(java.io.File confFile)
                         throws java.io.FileNotFoundException,
                                org.exolab.castor.xml.MarshalException,
                                org.exolab.castor.xml.ValidationException

  Parameters:
    `confFile` -
  Throws:
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### saveXml

    protected void saveXml(java.lang.String data)
                    throws java.io.IOException

  Specified by:
    `saveXml` in class `GroupManager`
  Parameters:
    `data` -
  Throws:
    `java.io.IOException`

### updateFromFile

    protected void updateFromFile()
                           throws java.io.IOException,
                                  org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Specified by:
    `updateFromFile` in class `GroupManager`
  Throws:
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.